### Constructor

# JavaScriptCore Value new_string

#### Declaration [src]

    JSCValue*
    jsc_value_new_string (
      JSCContext* context,
      const char* string
    )

#### Description [src]

Create a new `JSCValue` from `string`. If you need to create a `JSCValue` from a string containing null characters, use `jsc_value_new_string_from_bytes()` instead.

#### Parameters

`context`

  Type: `JSCContext`

  A `JSCContext`.

  The data is owned by the caller of the function.

`string`

  Type: `const char*`

  A null-terminated string.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `JSCValue`

A `JSCValue`.

The caller of the function takes ownership of the data, and is responsible for freeing it.